Package com.databend.jdbc

# Class ConnectionProperties

java.lang.Object
com.databend.jdbc.ConnectionProperties

public final class ConnectionProperties extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConnectionProperties.Debug`
`static class`
`ConnectionProperties.StrNullAsNull`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.databend.jdbc.ConnectionProperty<String>`
`ACCESS_TOKEN`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`AUTO_DISCOVERY`
`static final com.databend.jdbc.ConnectionProperty<String>`
`BINARY_FORMAT`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`CONNECTION_TIMEOUT`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`COPY_PURGE`
`static final com.databend.jdbc.ConnectionProperty<String>`
`DATABASE`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`DEBUG`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`ENABLE_MOCK`
`static final com.databend.jdbc.ConnectionProperty<String>`
`LOAD_BALANCING_POLICY`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`MAX_FAILOVER_RETRY`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`MAX_ROWS_IN_BUFFER`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`MAX_ROWS_PER_PAGE`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`NODE_DISCOVERY_INTERVAL`
`static final com.databend.jdbc.ConnectionProperty<String>`
`NULL_DISPLAY`
`static final com.databend.jdbc.ConnectionProperty<String>`
`PASSWORD`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`PRESIGNED_URL_DISABLED`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`QUERY_TIMEOUT`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`SOCKET_TIMEOUT`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`SSL`
`static final com.databend.jdbc.ConnectionProperty<String>`
`SSL_MODE`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`STRNULL_AS_NULL`
`static final com.databend.jdbc.ConnectionProperty<Boolean>`
`USE_VERIFY`
`static final com.databend.jdbc.ConnectionProperty<String>`
`USER`
`static final com.databend.jdbc.ConnectionProperty<Integer>`
`WAIT_TIME_SECS`
`static final com.databend.jdbc.ConnectionProperty<String>`
`WAREHOUSE`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionProperties()`

## Method Summary

Modifier and Type
Method
Description
`static Set<com.databend.jdbc.ConnectionProperty<?>>`
`allProperties()`
`static Map<String,String>`
`getDefaults()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USER

public static final com.databend.jdbc.ConnectionProperty<String> USER

### PASSWORD

public static final com.databend.jdbc.ConnectionProperty<String> PASSWORD

### SSL

public static final com.databend.jdbc.ConnectionProperty<Boolean> SSL

### USE_VERIFY

public static final com.databend.jdbc.ConnectionProperty<Boolean> USE_VERIFY

### DEBUG

public static final com.databend.jdbc.ConnectionProperty<Boolean> DEBUG

### STRNULL_AS_NULL

public static final com.databend.jdbc.ConnectionProperty<Boolean> STRNULL_AS_NULL

### WAREHOUSE

public static final com.databend.jdbc.ConnectionProperty<String> WAREHOUSE

### SSL_MODE

public static final com.databend.jdbc.ConnectionProperty<String> SSL_MODE

### MAX_FAILOVER_RETRY

public static final com.databend.jdbc.ConnectionProperty<Integer> MAX_FAILOVER_RETRY

### LOAD_BALANCING_POLICY

public static final com.databend.jdbc.ConnectionProperty<String> LOAD_BALANCING_POLICY

### AUTO_DISCOVERY

public static final com.databend.jdbc.ConnectionProperty<Boolean> AUTO_DISCOVERY

### NODE_DISCOVERY_INTERVAL

public static final com.databend.jdbc.ConnectionProperty<Integer> NODE_DISCOVERY_INTERVAL

### ENABLE_MOCK

public static final com.databend.jdbc.ConnectionProperty<Boolean> ENABLE_MOCK

### DATABASE

public static final com.databend.jdbc.ConnectionProperty<String> DATABASE

### ACCESS_TOKEN

public static final com.databend.jdbc.ConnectionProperty<String> ACCESS_TOKEN

### CONNECTION_TIMEOUT

public static final com.databend.jdbc.ConnectionProperty<Integer> CONNECTION_TIMEOUT

### QUERY_TIMEOUT

public static final com.databend.jdbc.ConnectionProperty<Integer> QUERY_TIMEOUT

### SOCKET_TIMEOUT

public static final com.databend.jdbc.ConnectionProperty<Integer> SOCKET_TIMEOUT

### PRESIGNED_URL_DISABLED

public static final com.databend.jdbc.ConnectionProperty<Boolean> PRESIGNED_URL_DISABLED

### COPY_PURGE

public static final com.databend.jdbc.ConnectionProperty<Boolean> COPY_PURGE

### NULL_DISPLAY

public static final com.databend.jdbc.ConnectionProperty<String> NULL_DISPLAY

### BINARY_FORMAT

public static final com.databend.jdbc.ConnectionProperty<String> BINARY_FORMAT

### WAIT_TIME_SECS

public static final com.databend.jdbc.ConnectionProperty<Integer> WAIT_TIME_SECS

### MAX_ROWS_IN_BUFFER

public static final com.databend.jdbc.ConnectionProperty<Integer> MAX_ROWS_IN_BUFFER

### MAX_ROWS_PER_PAGE

public static final com.databend.jdbc.ConnectionProperty<Integer> MAX_ROWS_PER_PAGE

## Constructor Details

### ConnectionProperties

public ConnectionProperties()

## Method Details

### allProperties

public static Set<com.databend.jdbc.ConnectionProperty<?>> allProperties()

### getDefaults

public static Map<String,String> getDefaults()